/*
 * Copyright (C) 2013  Lucas Skldqvist <frusen@gungre.ch>
 *
 * This file is part of Dragbuilder. 
 *
 * Dragbuilder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dragbuilder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dragbuilder.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include "editorwindow.h"

EditorWindow::EditorWindow (int w, int h, std::string t)
  : Fl_Double_Window (w, h, t.c_str ())
{
  display    = NULL;
  tabs       = NULL;
  gr_script  = NULL;
  gr_options = NULL;

  for (int i=0; i<INPUT_FIELDS; i++)
    {
      input_field.push_back (NULL);
    }
}

EditorWindow::~EditorWindow() 
{
}
