/*
 * Copyright (C) 2013  Lucas Skldqvist <frusen@gungre.ch>
 *
 * This file is part of Dragbuilder. 
 *
 * Dragbuilder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dragbuilder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dragbuilder.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include "globals.h"

int loading = 0;
int changed = 0;
Fl_Text_Buffer *textbuf = 0;
std::string filename;
std::string title;

const int LEFT_PAD = 75;

const int INPUT_FIELDS = 6;

const int IP_AUTHOR  = 0;
const int IP_EMAIL   = 1;
const int IP_YEARS   = 2;
const int IP_PACKAGE = 3;
const int IP_VERSION = 4;
const int IP_BUILD   = 5;
