/*
 * Copyright (C) 2013  Lucas Skldqvist <frusen@gungre.ch>
 *
 * This file is part of Dragbuilder. 
 *
 * Dragbuilder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dragbuilder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dragbuilder.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#include <FL/filename.H>
#include <FL/Fl_Text_Buffer.H>
#include <string>

extern int loading;
extern int changed;
extern std::string filename;
extern std::string title;
extern Fl_Text_Buffer *textbuf;

extern const int LEFT_PAD;

extern const int INPUT_FIELDS;

extern const int IP_AUTHOR;
extern const int IP_EMAIL;
extern const int IP_YEARS;
extern const int IP_PACKAGE;
extern const int IP_VERSION;
extern const int IP_BUILD;

#endif /* GLOBALS_H */
